#!  /bin/sh

echo "Content-Type: text/html"
echo
echo "<html><head><title>Heat History</title></head>"

DATABASE="/root/cron/TempGuy/tempGuy.hist"

# HIST="`cat $DATABASE`"
# HIST="`cat $DATABASE | grep '^...[05]'`"
HIST="`cat $DATABASE | grep '^..\(00\|06\|12\|18\|24\|30\|36\|42\|48\|54\)'`"

TIME="`echo \"$HIST\" | tail -1 | sed -e 's/..\(..\)-.*/\1/'`"
if [ 30 -gt $TIME ] ; then
   let TIME2=$TIME+30
else
   let TIME2=$TIME-30
fi
TIME="`echo 0$TIME | sed -e 's/.*\(..\)/\1/'`"
TIME2="`echo 0$TIME2 | sed -e 's/.*\(..\)/\1/'`"

TIME2=off

TIMES="`echo \"$HIST\" | grep \"^..$TIME\\|^..$TIME2\" | sed -e 's/-.*//' -e 's/\(..\)\(..\)/\1:\2/'`"
TIMES="`echo \"$TIMES\" | xargs echo | sed -e 's/ /|/g'`"

VALUES="`echo \"$HIST\" | sed -e 's/.* //' -e 's/ .*//'`"
VALUES="`echo \"$VALUES\" | sed -e 's/\(.*\...\).*/\1/' | xargs echo`"

echo "<!--"
MIN=10000
MAX=0
for v in $VALUES; do
   x="`echo $v | sed -e 's/[^0-9]//g'`"
   if [ "$MIN" -gt "$x" ] ; then
      MIN=$x
   fi
   if [ "$MAX" -lt "$x" ] ; then
      MAX=$x
   fi
   INTERNALVALUES="$INTERNALVALUES $x"
done
MINLABEL="`echo \"$MIN\" | sed -e 's/\(.*\)\(..\)/\1,\2/'`"
MAXLABEL="`echo \"$MAX\" | sed -e 's/\(.*\)\(..\)/\1,\2/'`"

VALUES=""
for x in $INTERNALVALUES; do
   let VALUE=$x-$MIN
   if [ -z "$VALUES" ] ; then
      VALUES=$VALUE
   else
      VALUES="$VALUES,$VALUE"
   fi
done

let MAXVALUE=$MAX-$MIN

# Calc lines
let ROUNDUP=$MIN/100+1
let ROUNDDOWN=($MAX-50)/100

CHM=""
if [ "$ROUNDUP" -le "$ROUNDDOWN" ] ; then
   let PARTPERDEGREE=$MAX-$MIN
   let PARTPERDEGREE=10000/$PARTPERDEGREE

   let LINEPOS=($ROUNDUP\*100-$MIN)\*$PARTPERDEGREE
   let LINEPOS=$LINEPOS/100
   while [ "100" -ge "$LINEPOS" ] ; do
      POSITION="`echo 00000000$LINEPOS | sed -e 's/.*\(.\)\(..\)/\1.\2/'`"
      if [ -z "$CHM" ] ; then
         CHM="h,DDDDDD,0,$POSITION,1,-1"
      else
         CHM="$CHM|h,DDDDDD,0,$POSITION,1,-1"
      fi
      let LINEPOS=$LINEPOS+$PARTPERDEGREE
   done
fi
if [ -n "$CHM" ] ; then
   CHM="chm=$CHM&"
fi

echo "-->"
echo "<body>"
echo "<img src='http://chart.apis.google.com/chart?chxs=0,000000|3,000000,9|1,000000|4,000000&chxt=y,y,x,x,r&chxl=0:||%c2%b0C|2:||3:|$TIMES|1:|$MINLABEL|$MAXLABEL|4:|$MINLABEL|$MAXLABEL+%c2%b0C&chs=900x300&chtt=Heat+History&chd=t:$VALUES&cht=lc&${CHM}chds=0,$MAXVALUE'>"
echo "</body></html>"

